Forum Stats

  • 3,874,171 Users
  • 2,266,675 Discussions
  • 7,911,750 Comments

Discussions

Unable to connect when upgrading Version

Peachman
Peachman Member Posts: 3 Red Ribbon

Hi,

I have recently got a new laptop and started a fresh install of VS code & Oracle Dev tools.

VS code = 1.72.2

Oracle Dev tools Version (Not Working Version) = 21.5.0

Oracle Dev Tools Version (Working Version) = 19.3.3

Windows 10 <- Company Managed (might be a factor??)


I have been successful in connecting with both TNS & ODP.NET strings in 19.3.3, however any Version after this, the same settings will NOT connect, and I have no idea why?


The error I receive is 'Connection request Timed Out' but this error only happens on V19.3.4 and above


Any Ideas/thoughts?

Tagged:

Answers

  • Christian.Shay -Oracle
    Christian.Shay -Oracle Posts: 2,241 Employee
    edited Oct 25, 2022 4:26PM

    Are you saying that on your new windows laptop you installed old version 19.3.3 and it worked? Then you upgraded to 21.5 and it did not?

    This error is commonly because your IP is blocked by rule from connecting to the database server. However, if 19.3.3 works on this new machine (and presumably new IP) then this probably is not the case.

    Is this a cloud database or on premisis? What database version?